📢News Flash! Magento Community recently announced that the support for PHP 7.3 will come to an end in December 2021.

Magento Community has prolonged the support for Magento 2.3.x for extra three months. Taking that into account, support for PHP 7.3 will end in December 2021. PHP 7.4 will have compatibility for Magento Commerce and Magento Open Commerce 2.3.7 that will be released in May 2021.

Thus, we recommend all the Magento Merchants upgrade to PHP 7.4 before December 2021 even if for those using Magento 2.3. Whereas Magento 2.3.7 and future 2.3.x will still support PHP 7.3, Adobe will not be testing for PHP 7.3, nor Adobe will release fixes for PHP 7.3. Considering that, Magento 2.4.x already support PHP 7.4, by the release of Magento 2.3.7, both Magento 2.3.x and 2.4.x users are recommended to switch to PHP 7.4 version.

How PHP Supported Versions Work?

Every branch release of PHP is actively supported for 2 years from its initial release. Within this duration, bugs and security issues are fixed and regular points are released.

After the completion of these two years, the support is extended for one year that is only for security purpose, During this period, releases are only made on an as-needed basis.

As the three years are completed, the particular branch reaches the end of life and will no longer be supported.

Currently Supported Versions of PHP:

currently-supported-versions-php

PHP 7.3 active support will end in December 2020 and on December 2021 it will come to an end of life. Thus, we encourage the Magento vendors to upgrade to PHP 7.4 as soon as possible.

Compatibility Factors:

The ones who have not yet upgraded to Magento 2.4, need to consider that Magento 2.3.7 comes with backward-incompatible changes. Migration of PHPUnit 6 to PHPUnit 9 is a change that is used for all types of tests like Static, Unit, Integration, API Functional, and Magento Functional Testing Framework.

Extension Factors:

Magento Marketplace extension merchants must verify their extensions to be compatible with PHP 7.4. Merchants should test and evaluate their store thoroughly before running a live site on PHP 7.4.

Take a look at the official announcement of PHP 7.4 support for Magento 2.3.x release line.

Conclusion:

Although PHP 7.4 support for Magento 2.3.x release line ensures PHP compatibility, we highly recommend to upgrading to the latest Magento 2.4. This will guarantee that your company is fixed for long-term success with the latest and more secure version of Magento.

For any other assistance contact our support team. We will be glad to hear your perspective on the above-discussed matter in the comment section below.

Happy Upgrading 😊

[Total: 1   Average: 5/5]